/* Componentes Globales */
.f-button-primary {
    background-color: #0e035c;
    color: #fff;
    border: none;
    padding: 0.80rem 1rem;
    font-size: 0.95rem;
    font-weight: 600;
    border-radius: 0.358rem;
    cursor: pointer;
    transition: all 0.3s ease;

    &:hover {
        background-color: #0e035c;
        opacity: 0.8;
    }

    &:focus {
        outline: none;
    }
}

.f-form {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    gap: 1rem;

    input[type="text"],
    input[type="email"],
    input[type="password"],
    input[type="date"],
    input[type="time"],
    input[type="datetime-local"],
    input[type="number"]
    {
        width: 100%;
        background-color: #f6f6f6;
        border: none;
        outline: none;
        padding: 0.85rem 1rem !important;
        font-size: 0.95rem;
        color: #333;
        font-weight: 600;
        border-radius: 0.358rem;
        box-shadow: none;
        transition: all 0.3s ease;

        &::placeholder {
            color: #a0a0a0;
        }

        &:focus {
            border-bottom-left-radius: 0;
            border-bottom-right-radius: 0;
            box-shadow: inset 0 -2px 0 0 #227166;
        }
    }
}

/* Clase para gestionar el error */
.f-text-error {
    display: block;
    color: #ea5455;
    font-size: 0.8rem;
    margin-top: 0.25rem;
}

.f-text-obligatory {
    margin-top: 1rem;
    color: #6e6b7b;
    font-size: 0.8rem;
}

.f-input {
    display: inline-block;
    width: 100%;

    .text-error {
        display: block;
        width: 100%;
        color: #ea5455;
        margin-top: 0.25rem;
        padding: 0 0 0 0.5rem;
        font-size: 0.8rem;
    }
}

.f-row {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: start;
    flex-wrap: nowrap;
    gap: 1rem;

    .input {
        margin-bottom: 0;
    }
}

select {
    width: 100%;
    padding: 0.85rem 1rem !important;
    -moz-padding-start: calc(1rem - 3px);
    font-size: 0.95rem;
    font-weight: 600;
    background-color: #f6f6f6;
    border: none;
    outline: none;
    color: #6e6b7b;
    border-radius: 0.358rem;
    box-shadow: none;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23d8d6de' stroke-width='3' stroke-linecap='round' stroke-linejoin='round' class='feather feather-chevron-down'%3e%3cpolyline points='6 9 12 15 18 9'%3e%3c/polyline%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 1rem center;
    background-size: 15px 14px;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    appearance: none;

    &::placeholder {
        color: #a0a0a0;
    }

    &:focus {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23227166' stroke-width='3' stroke-linecap='round' stroke-linejoin='round' class='feather feather-chevron-down'%3e%3cpolyline points='6 9 12 15 18 9'%3e%3c/polyline%3e%3c/svg%3e");
        box-shadow: inset 0 -2px 0 0 #227166;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
    }
}

.f-text-obligatory {
    display: block;
    width: 100%;
    margin-top: 1rem;
    color: #6e6b7b;
    padding: 0 0 0 0.5rem;
    font-size: 0.8rem;
}

/*************** NAVEGADOR ******************/
.menu-content {
    border: 1px solid #ebebeb;
    border-radius: 5px;
    margin: 0px 16px !important;
}
.nav-item {
    margin-bottom: 5px;
}
.header-navbar {
    z-index: 1001;
}
.page-item.active .page-link {
    background-color: #0e035c;
}
.page-link {
    height: 32px;
    padding: 0;
}
.page-link i {
    font-size: 18px;
}
.inicio {
    margin-right: 3px;
    border-radius: 5rem;
}
.final {
    margin-left: 3px;
    border-radius: 5rem;
}
/*.inicio a:hover, .final a:hover {
    background-color: #0e035c;
    color: #fff !important;
}*/
.inicio .page-link {
    padding-left: 3px;
    width: 35px;
}
.final .page-link {
    padding-right: 3px;
    width: 35px;
}
.pagination .disabled {
    opacity: 0.5;
}
.float-left {
    float: left;
}
.float-right {
    float: right;
}
.input-group-sm i {
    vertical-align: text-bottom;
}
.form-control[readonly] {
    background-color: #ffffff !important;
    cursor: no-drop;
}
.oculto {
    display: none;
}
.h-title {
    background-color: #eeeeee;
    padding: 5px 10px;
}
.text-justify {
    text-align: justify !important;
}
.texto {
    line-height: 14px;
}
.alert {
    border: 1px solid #dddddd;
    border-radius: 10px;
    box-shadow: 3px 4px 4px #d4d4d4;
}
.alert-success {
    color: #16894a !important;
}
.divider {
    margin: 6px 0px;
}
.bold {
    font-weight: bold;
}

/*************** CARD ***************/
.card,
.navbar,
.main-menu {
    border: 1px solid #e1e1e1 !important;
}
.dropzone {
    min-height: 15rem;
    border: 2px dashed #10a181;
    background: #f8f8f8;
    position: relative;
}
.dropzone .dz-message:before {
    top: 9rem;
    width: 40px;
    height: 40px;
}
.dz-preview {
    background-color: #00000021 !important;
    border-radius: 5px;
}

/*************** DROPDOWN ***************/
.dropdown-menu {
    box-shadow: 2px 3px 5px #b2b2b2 !important;
    border: 1px solid #dadada !important;
}
.dropdown-toggle::after {
    left: 5px;
}
.dropdown-item-sm {
    padding: 0.35rem 1.28rem !important;
}
.dropdown-primary,
.dropdown-primary:focus {
    color: #000066;
}
.dropdown-primary:hover,
.dropdown-primary:active {
    background-color: #000066 !important;
    color: #fff;
}
.dropdown-secondary,
.dropdown-secondary:focus {
    color: #82868b;
}
.dropdown-secondary:hover,
.dropdown-secondary:active {
    background-color: #82868b !important;
    color: #fff;
}
.dropdown-success,
.dropdown-success:focus {
    color: #28c76f;
}
.dropdown-success:hover,
.dropdown-success:active {
    background-color: #28c76f !important;
    color: #fff;
}
.dropdown-info,
.dropdown-info:focus {
    color: #00cfe8;
}
.dropdown-info:hover,
.dropdown-info:active {
    background-color: #00cfe8 !important;
    color: #fff;
}
.dropdown-warning,
.dropdown-warning:focus {
    color: #ff9f43;
}
.dropdown-warning:hover,
.dropdown-warning:active {
    background-color: #ff9f43 !important;
    color: #fff;
}
.dropdown-danger,
.dropdown-danger:focus {
    color: #ea5455;
}
.dropdown-danger:hover,
.dropdown-danger:active {
    background-color: #ea5455 !important;
    color: #fff;
}
.dropdown-select2 {
    position: relative;
}
.dropdown-select2 > .dropdown-menu {
    margin-top: -2px !important;
}
.dropdown-select2 > .dropdown-menu > a {
    font-size: 13px;
}
.dropdown-select2 > .dropdown-menu > hr {
    margin: 7px 0;
}
.dropdown-item-select {
    padding: 0.2rem 0.8rem !important;
    white-space: break-spaces;
}
.input-search {
    padding: 1px 8px;
}
.input-search > input {
    padding-right: 24px;
}
.input-search span {
    position: absolute;
    right: 14px;
    top: 8px;
    padding-top: 6px;
    color: #ababab;
}
.lista-li-select2 {
    font-size: 14px;
    height: 320px;
}

/*************** TABLE ***************/
.table {
    color: #222;
    border: 1px solid #e2e5e8;
}
.table th {
    vertical-align: middle !important;
}
.table tr:last-child td {
    border-bottom: 1px solid #ebe9f1 !important;
}
.table-md tr td,
.table-md tr th {
    padding: 6px 10px;
    font-size: 11px !important;
}
.table-sm tr td,
.table-sm tr th {
    padding: 2px 5px;
    font-size: 10px !important;
}
.table-xs tr td,
.table-xs tr th {
    padding: 6px 10px;
    font-size: 10px !important;
}
.table-hover-2 > tbody > tr:hover {
    background-color: #fff9d7 !important;
}
.fs-sm {
    font-size: 10px !important;
}
.tabla {
    display: table;
    font-size: 9px;
    width: 100%;
}
.fila {
    display: table-row;
    font-weight: bold;
    text-align: center;
    white-space: nowrap;
}
.celda {
    display: table-cell;
    border-top: 1px solid #e2e5e8;
    border-bottom: 1px solid #e2e5e8;
    border-width: thin;
    padding-left: 5px;
    padding-right: 5px;
    vertical-align: middle;
}
.linea {
    margin-bottom: 5px;
    padding-bottom: 4px;
    /*border-bottom: 1px solid #969696;*/
}

/*************** MODALS ***************/
.modal-header {
    cursor: move;
}
.modal-footer {
    border-top: 1px solid #dee2e6 !important;
    justify-content: center;
}
.btn-close {
    background-color: #ebebeb !important;
}
@media (min-width: 1200px) {
    .modal-lg {
        margin-left: 15%;
        margin-right: 15%;
    }
    .modal-lg {
        max-width: 70%;
    }
}

/*************** INPUTS ***************/
.input-error {
    width: 100%;
    font-size: 0.857rem;
    color: #ea5455;
    /*text-align: left;
    line-height: 12px;*/
}
.border-error {
    border-color: #dc3545;
}
.obligatorio {
    color: red;
}
.form-select-sm {
    min-height: 2.142rem !important;
    padding: 0.188rem 0.857rem !important;
    font-size: 0.857rem !important;
}
.form-control,
.form-control:focus,
.form-select,
.form-select:focus {
    color: #000000;
}

/*************** FONT-SIZE ***********/
.fs-20 {
    font-size: 20px !important;
}
.fs-18 {
    font-size: 18px !important;
}
.fs-16 {
    font-size: 16px !important;
}
.fs-15 {
    font-size: 15px !important;
}
.fs-14 {
    font-size: 14px !important;
}
.fs-13 {
    font-size: 13px !important;
}
.fs-12 {
    font-size: 12px !important;
}
.fs-11 {
    font-size: 11px !important;
}
.fs-10 {
    font-size: 10px !important;
}
.fs-9 {
    font-size: 9px !important;
}
.lh-11 {
    line-height: 11px;
}
.lh-13 {
    line-height: 13px;
}
.lh-9 {
    line-height: 9px;
}
.color-1 {
    color: #6e6b7b;
}

/*************** BUTTON ***********/
.btn-option {
    padding: 6px 10px 6px 10px;
    border-radius: 50%;
    border: 0;
    background-color: #d3d3d31f;
}
.btn-option:hover,
.btn-option:focus,
.btn-option:active {
    background-color: #e7e7e7;
    color: #0e035c !important;
    opacity: 1 !important;
}
.btn-img:hover,
.btn-option:focus {
    opacity: 0.5;
}
.btn-xs {
    padding: 4px 10px;
    font-size: 11px;
}
.btn-xs i {
    font-size: 13px;
}
.btn-xxs {
    padding: 2px 8px 4px 8px;
    font-size: 9px;
}
.btn-xxs i {
    font-size: 11px;
}
.btn-archivo {
    border: 3px solid #ced4da;
    border-radius: 15px;
    padding: 10px 20px;
    text-align: center;
}
.btn-archivo:hover {
    background-color: #e6e6e6;
}
.btn-archivo i {
    font-size: 65px;
}
.circle {
    border-radius: 50%;
}
.modal .form-control,
.modal .form-select,
.modal .input-group-text {
    padding: 0.4rem 1rem !important;
}
.modal .input-group .btn {
    padding: 0.4rem 1rem !important;
}

/*************** OVERFLOW ***********/
.badge i {
    height: 11px;
    width: 10px;
    font-size: 10px;
    vertical-align: initial;
}

/*************** OVERFLOW ***********/
.overflow {
    overflow-y: scroll;
}
.overflow::-webkit-scrollbar {
    -webkit-appearance: none;
}
.overflow::-webkit-scrollbar:vertical {
    width: 13px;
}
.overflow::-webkit-scrollbar-button:increment,
.overflow::-webkit-scrollbar-button {
    display: none;
}
.overflow::-webkit-scrollbar-thumb {
    background-color: #cacad0;
    border-radius: 20px;
    border: 2px solid #f1f2f3;
}
.overflow::-webkit-scrollbar-track {
    border-radius: 10px;
}
.overflow::-webkit-scrollbar-thumb:hover {
    background-color: #b8b8b9;
}

/* VARIABLES GLOBALES PARA ESTADOS DE DOCUMENTOS */
:root {
    --status-completed-bg: #d4edda;
    --status-completed-text: #155724;

    --status-rejected-bg: #f8d7da;
    --status-rejected-text: #721c24;

    --status-cancelled-bg: #f7e6e6;
    --status-cancelled-text: #981f2b;

    --status-expired-bg: #dcd7f5;
    --status-expired-text: #0d0355;

    --status-deleted-bg: #e2e3e5;
    --status-deleted-text: #383d41;

    --status-pending-bg: #ffecb3;
    --status-pending-text: #856404;

    --status-not-init-bg: #e0e0e0;
    --status-not-init-text: #495057;
}

/* CLASES GLOBALES PARA FONDOS DE ESTADOS (Badges) */
.bg-status-completed { background-color: var(--status-completed-bg) !important; color: var(--status-completed-text) !important; }
.bg-status-rejected { background-color: var(--status-rejected-bg) !important; color: var(--status-rejected-text) !important; }
.bg-status-cancelled { background-color: var(--status-cancelled-bg) !important; color: var(--status-cancelled-text) !important; }
.bg-status-expired { background-color: var(--status-expired-bg) !important; color: var(--status-expired-text) !important; }
.bg-status-deleted { background-color: var(--status-deleted-bg) !important; color: var(--status-deleted-text) !important; }
.bg-status-pending { background-color: var(--status-pending-bg) !important; color: var(--status-pending-text) !important; }
.bg-status-not-init { background-color: var(--status-not-init-bg) !important; color: var(--status-not-init-text) !important; }

/* CLASES GLOBALES PARA TEXTOS/ICONOS DE ESTADOS */
.text-status-completed { color: var(--status-completed-text) !important; }
.text-status-rejected { color: var(--status-rejected-text) !important; }
.text-status-cancelled { color: var(--status-cancelled-text) !important; }
.text-status-expired { color: var(--status-expired-text) !important; }
.text-status-deleted { color: var(--status-deleted-text) !important; }
.text-status-pending { color: var(--status-pending-text) !important; }
.text-status-not-init { color: var(--status-not-init-text) !important; }